/* General Styles */
body,
html {
  margin: 0;
  padding: 0;
  height: 100%;
  font-family: "PT Sans", sans-serif;
  background-color: var(--primary-color);
  color: #ffffff;
}

/* Layout */
.wrapper {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

header {
  flex-shrink: 0;
}

main {
  flex: 1 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10% 0;
  box-sizing: border-box;
  margin-bottom: 5rem;
}

footer {
  flex-shrink: 0;
}

/* Contact Page Container */
.contactPageContainer {
  display: grid;
  gap: 5%;
  width: 87vw;
  max-width: 1200px;
  margin: 0 auto;
  font-size: 1.1rem;
  line-height: 1.3rem;
}

/* Map Section */
.map {
  width: 100%;
  height: 0;
  padding-bottom: 75%;
  /* 4:3 Aspect Ratio */
  position: relative;
}

.map iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 0;
}

.infoContainer {
  display: flex;
  flex-direction: column;
}
.infoContainer .booking-btn {
  display: none;
}

.info-section {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  font-size: 1rem;
  text-align: right;
}

.info-section h2 {
  font-size: 1.2rem;
  margin-bottom: 1rem;
}

.info-section p {
  margin-bottom: 0.2rem;
}

.info-section strong {
  font-weight: 700;
}

.info-section strong.days {
  color: var(--secondary-color);
}

.openingTimes p:first-of-type {
  margin-bottom: 0.6rem;
}

.napContainer {
  text-align: right;
}

.napTitle {
  font-family: Bollity;
  font-kerning: none;
  color: var(--secondary-color);
}

.napTitle .name-line-1 {
  font-family: Bollity;
  font-size: 1.6rem;
}

.napTitle .name-line-1::first-letter {
  font-kerning: 1em;
}

.napTitle .name-line-2 {
  font-weight: inherit;
  font-family: "Rubik";
  font-size: 1rem;
  text-transform: uppercase;
  display: block;
}

.napSchema {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.address {
  display: flex;
  flex-direction: column;
  gap: 0.2rem;
}

.contact-section a {
  color: var(--secondary-color);
}

.contact-section a:hover {
  color: var(--secondary-color-light);
}

.social-icons {
  display: flex;
  justify-content: flex-end;
}

.social-icon {
  display: inline-block;
  width: 45px;
  height: 45px;
  background-size: contain;
  background-repeat: no-repeat;
}

* {
  word-wrap: break-word;
  overflow-wrap: break-word;
}

/* Additional styles from the original CSS */
.contact-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 87%;
  max-width: 900px;
  margin: auto;
  padding: 20px;
  background-color: #3d4e45;
  border-radius: 10px;
}

.contact-info {
  width: 45%;
}

.contact-info h1 {
  color: #cb6b54;
  font-size: 2em;
  margin-bottom: 10px;
}

.contact-info p {
  font-size: 1rem;
}

@media (min-width: 1024px) {
  .contactPageContainer {
    grid-template-columns: 3fr 1fr 1fr;
  }
}

@media (max-width: 1023px) {
  main {
    padding: 10% 0 15% 0;
  }

  .contactPageContainer {
    grid-template-columns: 1fr;
  }

  .address {
    display: block;
  }

  .contactPageContainer,
  .napContainer {
    text-align: center;
  }

  .social-icons {
    justify-content: center;
  }

  .info {
    order: 1;
  }

  .map {
    order: 2;
  }

  .NAP {
    order: 3;
  }

  .infoContainer {
    gap: 2rem;
  }

  .infoContainer .booking-btn {
    display: block;
  }

  .info-section {
    flex-direction: column;
    gap: 1.5rem;
    width: 100%;
    justify-content: center;
  }

  footer .footer-logo {
    align-self: center;
    grid-column: 1 / 3;
  }
}
